unit Dbo95dem;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, DB, DBTables, Grids, Dboutl95,stdctrls,
  Buttons, DBCtrls, ExtCtrls, Mask, Outln95;

type
  TForm1 = class(TForm)
    DBOutline951: TDBOutline95;
    dsHierarhy: TDataSource;
    sbSort: TSpeedButton;
    tblHierarhy: TTable;
    DBEdit1: TDBEdit;
    Edit1: TEdit;
    btnAdd: TButton;
    DBNavigator1: TDBNavigator;
    btnDelete: TButton;
    Database1: TDatabase;
    EditPictures: TButton;
    DBEdit2: TDBEdit;
    procedure sbSortClick(Sender: TObject);
    procedure btnAddClick(Sender: TObject);
    procedure btnDeleteClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure EditPicturesClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses dbou_img;
{$R *.DFM}

procedure TForm1.sbSortClick(Sender: TObject);
begin
  DBOutline951.SortByText:=sbSort.Down;
end;

procedure TForm1.btnAddClick(Sender: TObject);
begin
  DBOutline951.AddItemTo(DBOutline951.SelectedItem,Edit1.Text);
end;

procedure TForm1.btnDeleteClick(Sender: TObject);
begin
  DBOutline951.DeleteWithChildren(DBOutline951.SelectedItem);
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  Database1.Connected:=false;
  Database1.Params.Clear;
  Database1.Params.Add('Path='+ExtractFilePath(Application.ExeName));
  Database1.Connected:=true;
  tblHierarhy.Open;
end;

procedure TForm1.EditPicturesClick(Sender: TObject);
begin
  Application.CreateForm(TformPicturesEdit, formPicturesEdit);
  with formPicturesEdit do begin
    ePictures := TPicturesList.Create(DBOutline951);
    ePictures.Assign(DBOutline951.Pictures);
    eDefaultBitmaps:=DBOutline951.DefaultBitmaps;
    if formPicturesEdit.ShowModal = mrOK then begin
      DBOutline951.Pictures.Assign(ePictures);
      DBOutline951.DefaultBitmaps:=eDefaultBitmaps;
      DBOutline951.Invalidate;
    end;
    ePictures.Free;
    Free;
  end;
end;

end.
